package net.sourceforge.basher.internal.impl;

import net.sourceforge.basher.Phase;
import net.sourceforge.basher.annotations.*;

/**
 * @author Johan Lindquist
 * @version $Revision$
 */
@BasherMaxTime(time = 199)
@BasherInertia(inertia = 1.3f)
@BasherName(name = "TestName")
@BasherMaxInvocations(max=10)
@BasherRunFrom(time = 10)
@BasherStopAfter(time = 11)
@BasherWeight(weight = 12)
@BasherPhases( phases = {Phase.RUN,Phase.SETUP, Phase.COOLDOWN})
public class FullyAnnotatedClass
{

    @BasherExecuteMethod
    public void doit()
    {

    }

}